Description: Skip flaky test on autopkgtest infrastructure
Author: Athos Ribeiro <athos.ribeiro@canonical.com>
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/php-amqplib/+bug/1997246
Forwarded: no
Last-Update: 2022-11-23

--- a/tests/Functional/Connection/Heartbeat/SIGHeartbeatSenderTest.php
+++ b/tests/Functional/Connection/Heartbeat/SIGHeartbeatSenderTest.php
@@ -108,6 +108,7 @@
      */
     public function alarm_sig_should_be_registered_when_conn_is_writing()
     {
+        $this->markTestSkipped('Skip flaky test on autopkgtest infrastructure');
         $connection = $this->getMockBuilder(AbstractConnection::class)
             ->setMethods(['isConnected', 'getHeartbeat', 'isWriting', 'getLastActivity'])
             ->disableOriginalConstructor()
